title: Video

accept:
  extension: mp4
  type: video
  maxsize: 32000000

fields:
  alt:
    label: Alt Text
    help: Erscheint wenn das Video nicht geladen werden kann und/oder wird von Screen-Readern vorgelesen.
    type: text
    width: 1/2
  caption:
    label: Caption
    help: Reguläre, visuelle Videolegende
    type: writer
    marks:
      - bold
      - italic
      - underline
      - strike
      - clear
    inline: true
    width: 1/2
  poster:
    label: field.blocks.video.poster
    type: files
    translate: false
    query: file.parent.getmixedimages
    multiple: false
    image:
      back: black
    uploads: image
  description:
    label: Beschreibung (für Accessibility)
    type: writer
    marks:
      - bold
      - italic
      - underline
      - strike
      - clear
    inline: true
    help: Eine Art Zusammenfassung. Wird vom ScreenReader erkannt und vorgelesen.

  autoplay:
    label: field.blocks.video.autoplay
    type: toggle
    width: 1/3
    translate: false
  muted:
    label: field.blocks.video.muted
    type: toggle
    width: 1/3
    default: true
    translate: false
  loop:
    label: field.blocks.video.loop
    type: toggle
    width: 1/3
    translate: false
  controls:
    label: field.blocks.video.controls
    type: toggle
    width: 1/3
    default: true
    translate: false
  preload:
    label: field.blocks.video.preload
    type: select
    width: 2/3
    default: auto
    translate: false
    options:
      - auto
      - metadata
      - none

  h_a11yline:
    type: line
  h_a11yheader:
    type: headline
    label: Extra Accessibility-Dateien für Player

  # vtt
  vtt_description_de:
    label: Audiobeschreibung (de)
    type: files
    multiple: false
    max: 1
    help: Für **blinde** Menschen. Wird vom ScreenReader automatisch gesehen (Audio-Beschreibung synchron zum Video).
    uploads: document
    query: file.parent.files.filterBy('template', 'document')
    width: 1/2
    translate: false
  vtt_description_en:
    label: Audiobeschreibung (en)
    type: files
    multiple: false
    max: 1
    help: Für **blinde** Menschen. Wird vom ScreenReader automatisch gesehen (Audio-Beschreibung synchron zum Video).
    uploads: document
    query: file.parent.files.filterBy('template', 'document')
    width: 1/2
    translate: false

  # vtt_description_lang:
  #   label: Sprache - Beschreibung in Video
  #   type: select
  #   options:
  #     - de
  #     - en

  vtt_description_label_de:
    label: Label im Video-Player (de) - Audiobeschreibung in Video
    type: text
    width: 1/2
    translate: false
  vtt_description_label_en:
    label: Label im Video-Player (en) - Audiobeschreibung in Video
    type: text
    width: 1/2
    translate: false

  vtt_line_1:
    type: line

  vtt_captions_de:
    label: Untertitel (de)
    type: files
    multiple: false
    max: 1
    help: Für **taube** Menschen. Wird im Videoplayer automatisch geladen.
    uploads: document
    query: file.parent.files.filterBy('template', 'document')
    width: 1/2
    translate: false
  vtt_captions_en:
    label: Untertitel (en)
    type: files
    multiple: false
    max: 1
    help: Für **taube** Menschen. Wird im Videoplayer automatisch geladen.
    uploads: document
    query: file.parent.files.filterBy('template', 'document')
    width: 1/2
    translate: false

  # vtt_captions_lang:
  #   label: Sprache - Captions
  #   type: select
  #   options:
  #     - de
  #     - en

  vtt_captions_label_de:
    label: Label im Video-Player (de) - Captions
    type: text
    width: 1/2
    translate: false
  vtt_captions_label_en:
    label: Label im Video-Player (en) - Captions
    type: text
    width: 1/2
    translate: false

  # vtt_line_2:
  #   type: line

  # vtt_subtitles:
  #   label: Untertitel
  #   type: files
  #   multiple: false
  #   max: 1
  #   help: Für Nicht-Muttersprachler. Nur 1 Track ist hier erlaubt, es wird empfohlen Englisch zu verwenden. Wird im Videoplayer automatisch geladen (Untertitel).
  #   uploads: document
  #   query: file.parent.files.filterBy('template', 'document')

  # vtt_subtitles_lang:
  #   label: Sprache - Untertitel
  #   type: text

  # vtt_subtitles_label:
  #   label: Titel - Untertitel
  #   type: text
